POKE(1)

NAME
poke - The GNU extensible binary editor

SYNOPSIS
poke [OPTION]... [FILE]

DESCRIPTION
Interactive editor for binary files.

-l, --load=FILE
    load the given pickle at startup

-L FILE
    load the given pickle and exit

  Commanding poke from the command line:

-c, --command=CMD
    execute the given command

-s, --source=FILE
    execute commands from FILE

  Styling text output:

--color=(yes|no|auto|html|test) emit styled output

--style=STYLE_FILE
    style file to use when styling

--style-dark
    use default style for dark backgrounds

--style-bright
    use default style for bright backgrounds

-q, --no-init-file
    do not load an init file

--no-auto-map
    disable auto-map

--no-hserver
    do not run the hyperlinks server

--no-stdtypes
    do not define standard types

--quiet
    be as terse as possible

--help
    print a help message and exit

--version
    show version and exit

The following environment variables, if set, are used by poke:

POKE_LOAD_PATH
    List of file paths separated by colon characters (:) which is prepended to the load_path when poke starts

REPORTING BUGS
Report bugs in the bug tracker at

    <https://sourceware.org/bugzilla/describecomponents.cgi?product=poke> or by email to <poke-devel@gnu.org>.

GNU poke home page: <http://www.jemarch.net/poke.html>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2024 The poke authors. License GPLv3+: GNU GPL version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Powered by Jitter 0.9.305. Perpetrated by Jose E. Marchesi.

SEE ALSO
The full documentation for poke is maintained as a Texinfo manual. If the info and poke programs are properly installed at your site, the command

    info poke

should give you access to the complete manual.